Bug 1779665 - Can't create Azure worker nodes without managed identity (4.3)
Summary: Can't create Azure worker nodes without managed identity (4.3)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: Jim Minter
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On: 1779666
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-04 13:25 UTC by Jim Minter
Modified: 2020-04-02 09:14 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:17:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-azure pull 96 0 'None' closed Bug 1779665: Can't create Azure worker nodes without managed identity (4.3) 2020-09-29 14:22:50 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:18:04 UTC

Description Jim Minter 2019-12-04 13:25:57 UTC
Currently the Azure actuator validates to ensure that user managed identity is enabled for all VMs it creates.

Azure Red Hat OpenShift needs to be able to create 4.3 clusters without user managed identity as part of required security architecture modifications for the service.

This is currently blocking the initial ARO v4 service milestone in December.

Comment 2 Jianwei Hou 2019-12-10 09:57:27 UTC
Tested in 4.3.0-0.nightly-2019-12-10-014919

The IPI installer creates the machineSet with managedIdentity on Azure, to verify this, I removed the managedIdentity from a machineSet providerSpec then scale it up. Machine and VM are provisioned successfully.

Comment 4 errata-xmlrpc 2020-01-23 11:17:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.